classification
Title: `inspect` doesn't have `__all__`
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.11
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, kumaraditya303, leewz, lukasz.langa
Priority: normal Keywords: easy, patch

Created on 2016-05-19 20:29 by leewz, last changed 2021-12-10 23:06 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 30003 merged kumaraditya303, 2021-12-09 11:49
Messages (4)
msg265893 - (view) Author: Franklin? Lee (leewz) Date: 2016-05-19 20:29
`inspect`'s names are pretty close to unique, except for `stack`, `unwrap`, and `trace`. It doesn't define `__all__`, though.
msg265895 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2016-05-19 20:36
I refer again to https://bugs.python.org/issue26632 :)
msg408254 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-12-10 23:05
New changeset 810c1769f1c24ed907bdf3cc1086db4e602a28ae by Kumar Aditya in branch 'main':
bpo-27062: add `__all__` to inspect module (GH-30003)
https://github.com/python/cpython/commit/810c1769f1c24ed907bdf3cc1086db4e602a28ae
msg408255 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-12-10 23:06
Thanks! ✨ 🍰 ✨
History
Date User Action Args
2021-12-10 23:06:48lukasz.langasetstatus: open -> closed
resolution: fixed
messages: + msg408255

stage: patch review -> resolved
2021-12-10 23:05:31lukasz.langasetnosy: + lukasz.langa
messages: + msg408254
2021-12-09 11:49:09kumaraditya303setkeywords: + patch
nosy: + kumaraditya303

pull_requests: + pull_request28227
stage: patch review
2021-12-07 18:02:20iritkatrielsetkeywords: + easy
type: behavior -> enhancement
versions: + Python 3.11, - Python 3.5, Python 3.6
2016-05-19 20:36:37barrysetnosy: + barry
messages: + msg265895
2016-05-19 20:29:43leewzcreate